summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGerhard Bräunlich <wippbox@gmx.net>2016-09-24 09:57:50 +0200
committerDavid Seifert <soap@gentoo.org>2016-09-24 15:30:43 +0200
commitd6be56539c61af1415bb8e4aad0742f6bd4da620 (patch)
treeebb1adec6d0c610ed97cd58a3302735b629ee531 /sci-misc/gato/gato-1.2.2.ebuild
parentsci-visualization/fig2sxd: Removing EAPI 4 ebuild (diff)
downloadgentoo-d6be56539c61af1415bb8e4aad0742f6bd4da620.tar.gz
gentoo-d6be56539c61af1415bb8e4aad0742f6bd4da620.tar.bz2
gentoo-d6be56539c61af1415bb8e4aad0742f6bd4da620.zip
sci-misc/gato: Version bump to 1.2.2 + EAPI bump 4 -> 6
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/2397 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'sci-misc/gato/gato-1.2.2.ebuild')
-rw-r--r--sci-misc/gato/gato-1.2.2.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/sci-misc/gato/gato-1.2.2.ebuild b/sci-misc/gato/gato-1.2.2.ebuild
new file mode 100644
index 00000000000..2216d363292
--- /dev/null
+++ b/sci-misc/gato/gato-1.2.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="tk(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Graph Animation Toolbox"
+HOMEPAGE="http://gato.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P^}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+S="${WORKDIR}/${P^}"
+
+python_prepare_all() {
+ # change TKinter call to avoid crashing of X
+ sed -i \
+ -e 's:self.overrideredirect(1):self.overrideredirect(0):' \
+ "${S}"/GatoDialogs.py || die "failed to patch GatoDialogs.py"
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ # install data files
+ insinto /usr/share/${PN}
+ doins BFS.* DFS.* sample.cat
+}